### Virtual Method

# Aravis Device write_memory

since: 0.2.0

#### Declaration [src]

    gboolean
    write_memory (
      ArvDevice* device,
      guint64 address,
      guint32 size,
      void* buffer,
      GError** error
    )

#### Description [src]

Writes `size` bytes to the device memory.

Available since: 0.2.0

#### Parameters

`address`

  Type: `guint64`

  Memory address.

`size`

  Type: `guint32`

  Size of the content to write buffer.

`buffer`

  Type: An array of `guint8`

  The content to write.

  The argument can be `NULL`.
  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if an error occurred.